Panel assign thickness with (API)

Hi all,

I’m currently working on a script to create panels with the use of dynamo. the base of the script works.

but assigning of the thickness doesn’t work.

See this picture is what i get:

result now.JPG

And this is the result that i expected:

expected result.JPG

This is the code inside the python script

import clr
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *
#The inputs to this node will be stored as a list in the IN variables.
from System import Environment
user = Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData)
clr.AddReferenceToFileAndPath(user +r"\Dynamo\Dynamo Core\1.3\packages\Structural Analysis for Dynamo\bin\RSA\Interop.RobotOM.dll")
from RobotOM import *
from System import Object

application = RobotApplicationClass()
project = application.Project
structure = project.Structure
labels = structure.Labels
loads = structure.Cases
Objects = structure.Objects

label = labels.Create(IRobotLabelType.I_LT_PANEL_THICKNESS,"25mm")
thData = IRobotThicknessData
thData = label.Data
thData.MaterialName = "S235"
thData.ThicknessType = IRobotThicknessType.I_TT_HOMOGENEOUS
homo = IRobotThicknessHomoData
homo = thData.Data
homo.Thickconst = "0,025"
labels.store(label)

pts = IRobotPointsArray
pts = application.CmpntFactory.Create(IRobotComponentType.I_CT_POINTS_ARRAY)
#pts = application.Kernel.CmpntFactory.Create(IRobotComponentType.I_CT_POINTS_ARRAY)
pts.SetSize(4)
pts.set(1,0,0,0)
pts.set(2,10,0,0)
pts.set(3,10,10,0)
pts.set(4,0,10,0)
obj_server = IRobotObjObjectServer
obj_server = project.Structure.Objects
obj = IRobotObjObject
obj_server.CreateContour(1,pts)
obj = obj_server.Get(1)

#obj.Main.Geometry(IRobotPointsArray,pts)
obj.Main.Attribs.Meshed = True
obj.SetLabel(IRobotLabelType.I_LT_PANEL_THICKNESS,"25mm")
obj.Update
obj.Initialize
#pts2 = application.Kernel.CmpntFactory.Create(IRobotComponentType.I_CT_POINTS_ARRAY)
#pts2.SetSize(3)
#pts2.set(1,5,2.5,0)
#pts2.set(2,7.5,5,0)
#pts2.set(3,5,7.5,0)
#obj_server.CreateCircle(2,pts2)
#obj = obj_server.Get(2)
#obj.Main.Attribs.Meshed = False
#obj.Update
application.Visible = True
application.Interactive = True
application.Project.ViewMngr.Refresh
OUT = "gedaan"

I hope someone can tell me what i have to add/change to get panels instead of geometrical objects.

thanks in advance

(files are attached)

gr Edward
enkele panel.dyn (3.3 KB)

Problem is solved.

See this link